Package gov.nasa.gsfc.sscweb.schema

# Class Request

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Request

Direct Known Subclasses:
  `LocationRequest`, `QueryRequestType`

public class Request extends Object
SSC request base type. <p>Java class for Request complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="Request"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="TimeInterval" type="{http://sscweb.gsfc.nasa.gov/schema}TimeInterval"/> <element name="BFieldModel" type="{http://sscweb.gsfc.nasa.gov/schema}BFieldModel" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BFieldModel`
  `bFieldModel`
  Magnetic field Model.
  `protected String`
  `description`
  A textual description of this request.
  `protected TimeInterval`
  `timeInterval`
  Time interval of request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Request()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BFieldModel`
  `getBFieldModel()`
  Magnetic field Model.
  `String`
  `getDescription()`
  A textual description of this request.
  `TimeInterval`
  `getTimeInterval()`
  Time interval of request.
  `void`
  `setBFieldModel(BFieldModel value)`
  Sets the value of the bFieldModel property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setTimeInterval(TimeInterval value)`
  Sets the value of the timeInterval property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### description

    protected String description
    A textual description of this request.

  - ### timeInterval

    protected TimeInterval timeInterval
    Time interval of request. If the requested time interval is outside the range of information available at SSC, the results will only include what is available at SSC.

  - ### bFieldModel

    protected BFieldModel bFieldModel
    Magnetic field Model. If a BFieldModel is not given and B-Field tracing is specified, a default model of IGRF and Tsyganenko 89c with KP values of 3-,3,3+ is used.

- ## Constructor Details

  - ### Request

    public Request()

- ## Method Details

  - ### getDescription

    public String getDescription()
    A textual description of this request.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescription()`

  - ### getTimeInterval

    public TimeInterval getTimeInterval()
    Time interval of request. If the requested time interval is outside the range of information available at SSC, the results will only include what is available at SSC.
    Returns:
      possible object is `TimeInterval`

  - ### setTimeInterval

    public void setTimeInterval(TimeInterval value)
    Sets the value of the timeInterval property.
    Parameters:
      `value` - allowed object is `TimeInterval`
    See Also:
      - `getTimeInterval()`

  - ### getBFieldModel

    public BFieldModel getBFieldModel()
    Magnetic field Model. If a BFieldModel is not given and B-Field tracing is specified, a default model of IGRF and Tsyganenko 89c with KP values of 3-,3,3+ is used.
    Returns:
      possible object is `BFieldModel`

  - ### setBFieldModel

    public void setBFieldModel(BFieldModel value)
    Sets the value of the bFieldModel property.
    Parameters:
      `value` - allowed object is `BFieldModel`
    See Also:
      - `getBFieldModel()`